summaryrefslogtreecommitdiff
path: root/dev-python/MechanicalSoup
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/MechanicalSoup
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/MechanicalSoup')
-rw-r--r--dev-python/MechanicalSoup/Manifest1
-rw-r--r--dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild56
-rw-r--r--dev-python/MechanicalSoup/metadata.xml17
3 files changed, 74 insertions, 0 deletions
diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
new file mode 100644
index 000000000000..0e84d9339704
--- /dev/null
+++ b/dev-python/MechanicalSoup/Manifest
@@ -0,0 +1 @@
+DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
new file mode 100644
index 000000000000..14b661fd6590
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ >=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ # We don't need pytest-runner to run tests via pytest
+ sed -i "s/'pytest-runner'//" setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Override pytest options to skip coverage and flake8
+ pytest -vv --override-ini="addopts=" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/MechanicalSoup/metadata.xml b/dev-python/MechanicalSoup/metadata.xml
new file mode 100644
index 000000000000..5059c3367df3
--- /dev/null
+++ b/dev-python/MechanicalSoup/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">MechanicalSoup</remote-id>
+ <remote-id type="github">MechanicalSoup/MechanicalSoup</remote-id>
+ <bugs-to>https://github.com/MechanicalSoup/MechanicalSoup/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>